!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_4299) = coupl(nGC_4280)*dsw_ + coupl(nGC_4281)*dZee + coupl(     &
                      nGC_4282)*dMW2
    coupl(nGC_4300) = coupl(nGC_4275)*dsw_ + coupl(nGC_4276)*dZee + coupl(     &
                      nGC_4277)*dMW2
    coupl(nGC_4301) = coupl(nGC_4238)*dsw_ + coupl(nGC_4239)*dcw_ + coupl(     &
                      nGC_4240)*dZee + coupl(nGC_4241)*dMW2
    coupl(nGC_4302) = coupl(nGC_4149)*dsw_ + coupl(nGC_4150)*dcw_ + coupl(     &
                      nGC_4151)*dZee
    coupl(nGC_4303) = coupl(nGC_4213)*dsw_ + coupl(nGC_4214)*dZee + coupl(     &
                      nGC_4215)*dMW2
    coupl(nGC_4304) = coupl(nGC_4201)*dsw_ + coupl(nGC_4202)*dZee + coupl(     &
                      nGC_4203)*dMZ2
    coupl(nGC_4305) = coupl(nGC_4234)*dsw_ + coupl(nGC_4235)*dcw_ + coupl(     &
                      nGC_4236)*dZee + coupl(nGC_4237)*dMZ2
    coupl(nGC_4306) = coupl(nGC_4170)*dlam_QED2
    coupl(nGC_4307) = coupl(nGC_4178)*dlam_QED2
    coupl(nGC_4309) = coupl(nGC_4248)*dlam_QED2 + coupl(nGC_4249)*dvev_QEDM1
    coupl(nGC_4310) = coupl(nGC_4254)*dlam_QED2 + coupl(nGC_4255)*dvev_QEDM1
    coupl(nGC_4311) = coupl(nGC_4191)*dZee
    coupl(nGC_4312) = coupl(nGC_4264)*dsw_ + coupl(nGC_4265)*dZee
    coupl(nGC_4313) = coupl(nGC_4286)*dsw_ + coupl(nGC_4287)*dZee
    coupl(nGC_4314) = coupl(nGC_4259)*dvev_QEDM1 + coupl(nGC_4260)*dsw_ + coupl&
                      (nGC_4261)*dZee
    coupl(nGC_4315) = coupl(nGC_4147)*dsw_ + coupl(nGC_4148)*dZee
    coupl(nGC_4316) = coupl(nGC_4160)*dsw_ + coupl(nGC_4161)*dZee
    coupl(nGC_4317) = coupl(nGC_4197)*dsw_ + coupl(nGC_4198)*dZee
    coupl(nGC_4318) = coupl(nGC_4158)*dsw_ + coupl(nGC_4159)*dZee
    coupl(nGC_4319) = coupl(nGC_4168)*dsw_ + coupl(nGC_4169)*dZee
    coupl(nGC_4320) = coupl(nGC_4256)*dvev_QEDM1 + coupl(nGC_4257)*dsw_ + coupl&
                      (nGC_4258)*dZee
    coupl(nGC_4321) = coupl(nGC_4228)*dsw_ + coupl(nGC_4229)*dcw_ + coupl(     &
                      nGC_4230)*dZee
    coupl(nGC_4322) = coupl(nGC_4210)*dsw_ + coupl(nGC_4211)*dcw_ + coupl(     &
                      nGC_4212)*dZee
    coupl(nGC_4323) = coupl(nGC_4225)*dsw_ + coupl(nGC_4226)*dcw_ + coupl(     &
                      nGC_4227)*dZee
    coupl(nGC_4324) = coupl(nGC_4183)*dcw_ + coupl(nGC_4184)*dZee
    coupl(nGC_4325) = coupl(nGC_4193)*dcw_ + coupl(nGC_4194)*dZee
    coupl(nGC_4326) = coupl(nGC_4245)*dvev_QEDM1 + coupl(nGC_4246)*dcw_ + coupl&
                      (nGC_4247)*dZee
    coupl(nGC_4327) = coupl(nGC_4186)*dcw_ + coupl(nGC_4187)*dZee
    coupl(nGC_4328) = coupl(nGC_4250)*dsw_ + coupl(nGC_4251)*dcw_ + coupl(     &
                      nGC_4252)*dZee
    coupl(nGC_4329) = coupl(nGC_4242)*dsw_ + coupl(nGC_4243)*dcw_ + coupl(     &
                      nGC_4244)*dZee
    coupl(nGC_4330) = coupl(nGC_4271)*dvev_QEDM1 + coupl(nGC_4272)*dsw_ + coupl&
                      (nGC_4273)*dcw_ + coupl(nGC_4274)*dZee
    coupl(nGC_4331) = coupl(nGC_4200)*dZee
    coupl(nGC_4332) = coupl(nGC_4199)*dZee
    coupl(nGC_4333) = coupl(nGC_2683)*dZgs_QCD2
    coupl(nGC_4334) = coupl(nGC_4152)*dsw_ + coupl(nGC_4153)*dZee
    coupl(nGC_4335) = coupl(nGC_4204)*dsw_ + coupl(nGC_4205)*dcw_ + coupl(     &
                      nGC_4206)*dZee
    coupl(nGC_4336) = coupl(nGC_4222)*dsw_ + coupl(nGC_4223)*dcw_ + coupl(     &
                      nGC_4224)*dZee
    coupl(nGC_4337) = coupl(nGC_4216)*dsw_ + coupl(nGC_4217)*dcw_ + coupl(     &
                      nGC_4218)*dZee
    coupl(nGC_4338) = coupl(nGC_4219)*dsw_ + coupl(nGC_4220)*dcw_ + coupl(     &
                      nGC_4221)*dZee
    coupl(nGC_4339) = coupl(nGC_4231)*dsw_ + coupl(nGC_4232)*dcw_ + coupl(     &
                      nGC_4233)*dZee
    coupl(nGC_4340) = coupl(nGC_4207)*dsw_ + coupl(nGC_4208)*dcw_ + coupl(     &
                      nGC_4209)*dZee
    coupl(nGC_4387) = coupl(nGC_4288)*dye_QED1
    coupl(nGC_4388) = coupl(nGC_4192)*dye_QED1
    coupl(nGC_4389) = coupl(nGC_4146)*dym_QED1
    coupl(nGC_4390) = coupl(nGC_4144)*dym_QED1
    coupl(nGC_4391) = coupl(nGC_4162)*dytau_QED1
    coupl(nGC_4392) = coupl(nGC_4163)*dytau_QED1
    coupl(nGC_4393) = coupl(nGC_4279)*dye_QED1
    coupl(nGC_4394) = coupl(nGC_4145)*dym_QED1
    coupl(nGC_4395) = coupl(nGC_4167)*dytau_QED1
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
