!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_4408) = coupl(nGC_4180)*dyt_QED1
    coupl(nGC_4409) = coupl(nGC_4176)*dyt_QED1
    coupl(nGC_4416) = coupl(nGC_4181)*dyt_QED1
    coupl(nGC_4436) = coupl(nGC_2699)*dMW2
    coupl(nGC_4437) = coupl(nGC_2701)*dMW2
    coupl(nGC_4438) = coupl(nGC_2703)*dMZ2
    coupl(nGC_5676) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4289)
    coupl(nGC_5681) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_4290)
    coupl(nGC_5682) = -2d0*coupl(nGC_5681)
    coupl(nGC_5685) = 2d0*coupl(nGC_5681)
    coupl(nGC_5686) = -coupl(nGC_5681)
    coupl(nGC_5698) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_4291)
    coupl(nGC_5702) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_4293)
    coupl(nGC_5706) = coupl(nGC_4292) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_5707) = -coupl(nGC_5705)/2d0 + coupl(nGC_5706)
    coupl(nGC_5708) = coupl(nGC_5705) - 2d0*coupl(nGC_5706)
    coupl(nGC_5714) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_4295)
    coupl(nGC_5715) = coupl(nGC_5713) - coupl(nGC_5714)/2d0
    coupl(nGC_5716) = -2d0*coupl(nGC_5713) + coupl(nGC_5714)
    coupl(nGC_5725) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_4294)
    coupl(nGC_5726) = -2d0*coupl(nGC_5725)
    coupl(nGC_5734) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_4296)
    coupl(nGC_5735) = coupl(nGC_5731) - 2d0*coupl(nGC_5734)
    coupl(nGC_5736) = -coupl(nGC_5731)/2d0 + coupl(nGC_5734)
    coupl(nGC_5749) = coupl(nGC_4)*dZWMinus/2d0 + coupl(nGC_4297)
    coupl(nGC_5750) = -coupl(nGC_5749)
    coupl(nGC_5753) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_4291)
    coupl(nGC_5754) = -coupl(nGC_5753)
    coupl(nGC_5761) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_4300)
    coupl(nGC_5765) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_4291)
    coupl(nGC_5766) = -coupl(nGC_5765)
    coupl(nGC_5770) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_4293)
    coupl(nGC_5771) = -coupl(nGC_5770)
    coupl(nGC_5775) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_4302)
    coupl(nGC_5776) = -coupl(nGC_5775)
    coupl(nGC_5786) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_4)*dZA/2d0 + coupl(   &
                      nGC_4297)
    coupl(nGC_5787) = -coupl(nGC_5786)
    coupl(nGC_5791) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_4)*dZAZ/2d0 + coupl(   &
                      nGC_4302)
    coupl(nGC_5792) = -coupl(nGC_5791)
    coupl(nGC_5796) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_4293)
    coupl(nGC_5797) = -coupl(nGC_5796)
    coupl(nGC_5806) = coupl(nGC_4305) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_5809) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4289)
    coupl(nGC_5810) = -coupl(nGC_5809)
    coupl(nGC_5822) = coupl(nGC_13)*dZH + coupl(nGC_4307)
    coupl(nGC_5829) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_4306)
    coupl(nGC_5833) = coupl(nGC_4309) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_5840) = coupl(nGC_4310) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_5844) = coupl(nGC_42)*dZZA + coupl(nGC_4311) + coupl(nGC_6)*dZA
    coupl(nGC_5849) = coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)*dZZ/2d0 + coupl(   &
                      nGC_4321) + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/  &
                      2d0
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
