!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_6099) = coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)*dZtL + coupl(      &
                      nGC_4336)
    coupl(nGC_6100) = coupl(nGC_6053) + coupl(nGC_6098)
    coupl(nGC_6101) = coupl(nGC_6053) + coupl(nGC_6099)
    coupl(nGC_6110) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_4332)
    coupl(nGC_6111) = coupl(nGC_6107) + coupl(nGC_6110)
    coupl(nGC_6112) = coupl(nGC_6104) + coupl(nGC_6110)
    coupl(nGC_6122) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_4337)
    coupl(nGC_6123) = coupl(nGC_38)*dZZ/2d0 + coupl(nGC_4338)
    coupl(nGC_6124) = coupl(nGC_6113) + coupl(nGC_6122)
    coupl(nGC_6125) = coupl(nGC_6113) + coupl(nGC_6123)
    coupl(nGC_6166) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_4333)
    coupl(nGC_6167) = coupl(nGC_6162) + coupl(nGC_6166)
    coupl(nGC_6168) = coupl(nGC_6160) + coupl(nGC_6166)
    coupl(nGC_6181) = coupl(nGC_6166) + coupl(nGC_6177)
    coupl(nGC_6182) = coupl(nGC_6166) + coupl(nGC_6175)
    coupl(nGC_6195) = coupl(nGC_6166) + coupl(nGC_6191)
    coupl(nGC_6196) = coupl(nGC_6166) + coupl(nGC_6189)
    coupl(nGC_6209) = coupl(nGC_6166) + coupl(nGC_6205)
    coupl(nGC_6210) = coupl(nGC_6166) + coupl(nGC_6203)
    coupl(nGC_6223) = coupl(nGC_6166) + coupl(nGC_6219)
    coupl(nGC_6224) = coupl(nGC_6166) + coupl(nGC_6217)
    coupl(nGC_6235) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_4334)
    coupl(nGC_6244) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZtL/2d0 +    &
                      coupl(nGC_4334)
    coupl(nGC_6259) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_4334)
    coupl(nGC_6262) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_4334)
    coupl(nGC_6265) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_4334)
    coupl(nGC_6274) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_eL + coupl(   &
                      nGC_4339)
    coupl(nGC_6278) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_muL + coupl(  &
                      nGC_4339)
    coupl(nGC_6282) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_tauL + coupl( &
                      nGC_4339)
    coupl(nGC_6294) = coupl(nGC_4341) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_6295) = coupl(nGC_4344) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_6296) = coupl(nGC_4343) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_6297) = coupl(nGC_4346) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_6308) = coupl(nGC_4347) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_6309) = coupl(nGC_4350) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_6310) = coupl(nGC_4349) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_6311) = coupl(nGC_4352) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_6323) = coupl(nGC_4355) + coupl(nGC_53)*dZtL/2d0
    coupl(nGC_6324) = coupl(nGC_4356) + coupl(nGC_53)*dZbR_QED2/2d0
    coupl(nGC_6325) = coupl(nGC_4354) + coupl(nGC_53)*dZbR_QCD2/2d0
    coupl(nGC_4358) = coupl(nGC_4253)*dydo_QED1
    coupl(nGC_4361) = coupl(nGC_4267)*dydo_QED1
    coupl(nGC_6338) = coupl(nGC_4359) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_6339) = coupl(nGC_4362) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_4364) = coupl(nGC_4177)*dys_QED1
    coupl(nGC_4367) = coupl(nGC_4157)*dys_QED1
    coupl(nGC_6352) = coupl(nGC_4365) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_6353) = coupl(nGC_4368) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_4370) = coupl(nGC_4278)*dyb_QED1
    coupl(nGC_4373) = coupl(nGC_4268)*dyb_QED1
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
