!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_6366) = coupl(nGC_4371) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl(   &
                      nGC_56)*dZbR_QED2/2d0
    coupl(nGC_6367) = coupl(nGC_4374) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl(   &
                      nGC_54)*dZbR_QED2/2d0
    coupl(nGC_4375) = coupl(nGC_4270)*dydo_QCD2_QED1
    coupl(nGC_6376) = coupl(nGC_4375) + coupl(nGC_6370)
    coupl(nGC_4377) = coupl(nGC_4270)*dydo_QED3
    coupl(nGC_6377) = coupl(nGC_4377) + coupl(nGC_6371)
    coupl(nGC_6378) = coupl(nGC_4376) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_4380) = coupl(nGC_4171)*dys_QED3
    coupl(nGC_6387) = coupl(nGC_4380) + coupl(nGC_6382)
    coupl(nGC_4378) = coupl(nGC_4171)*dys_QCD2_QED1
    coupl(nGC_6388) = coupl(nGC_4378) + coupl(nGC_6381)
    coupl(nGC_6389) = coupl(nGC_4379) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_4383) = coupl(nGC_4266)*dyb_QED3
    coupl(nGC_6398) = coupl(nGC_4383) + coupl(nGC_6393)
    coupl(nGC_4381) = coupl(nGC_4266)*dyb_QCD2_QED1
    coupl(nGC_6399) = coupl(nGC_4381) + coupl(nGC_6392)
    coupl(nGC_6400) = coupl(nGC_4382) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_6414) = coupl(nGC_4387) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_6415) = coupl(nGC_4388) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_6420) = coupl(nGC_4389) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_6421) = coupl(nGC_4390) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_6426) = coupl(nGC_4391) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_6427) = coupl(nGC_4392) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_6432) = coupl(nGC_4393) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_6433) = coupl(nGC_6429) + coupl(nGC_6432)
    coupl(nGC_6438) = coupl(nGC_4394) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_6439) = coupl(nGC_6435) + coupl(nGC_6438)
    coupl(nGC_6444) = coupl(nGC_4395) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_6445) = coupl(nGC_6441) + coupl(nGC_6444)
    coupl(nGC_4397) = coupl(nGC_4189)*dyup_QED1
    coupl(nGC_4400) = coupl(nGC_4188)*dyup_QED1
    coupl(nGC_6488) = coupl(nGC_4398) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_6489) = coupl(nGC_4401) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_4403) = coupl(nGC_4269)*dyc_QED1
    coupl(nGC_4406) = coupl(nGC_4263)*dyc_QED1
    coupl(nGC_6502) = coupl(nGC_4404) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_6503) = coupl(nGC_4407) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_6508) = coupl(nGC_4408) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_6509) = coupl(nGC_4409) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_4412) = coupl(nGC_4190)*dyup_QED3
    coupl(nGC_6518) = coupl(nGC_4412) + coupl(nGC_6513)
    coupl(nGC_4410) = coupl(nGC_4190)*dyup_QCD2_QED1
    coupl(nGC_6519) = coupl(nGC_4410) + coupl(nGC_6512)
    coupl(nGC_6520) = coupl(nGC_4411) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_4415) = coupl(nGC_4262)*dyc_QED3
    coupl(nGC_6529) = coupl(nGC_4415) + coupl(nGC_6524)
    coupl(nGC_4413) = coupl(nGC_4262)*dyc_QCD2_QED1
    coupl(nGC_6530) = coupl(nGC_4413) + coupl(nGC_6523)
    coupl(nGC_6531) = coupl(nGC_4414) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_6536) = coupl(nGC_4416) + coupl(nGC_79)*dZH/2d0
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
