!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_6537) = coupl(nGC_6533) + coupl(nGC_6536)
    coupl(nGC_6661) = coupl(nGC_4436) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_6664) = coupl(nGC_4437) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_6667) = coupl(nGC_4438) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_6690) = -coupl(nGC_5698)
    coupl(nGC_6700) = -coupl(nGC_5702)
    coupl(nGC_7309) = -coupl(nGC_5853)
    coupl(nGC_7325) = -coupl(nGC_5857)
    coupl(nGC_7625) = -coupl(nGC_5884)
    coupl(nGC_7636) = -coupl(nGC_5887)
    coupl(nGC_7947) = -coupl(nGC_5912)
    coupl(nGC_8089) = -coupl(nGC_5934)
    coupl(nGC_4357) = coupl(nGC_4253)*dydo_QCD2_QED1
    coupl(nGC_4360) = coupl(nGC_4267)*dydo_QCD2_QED1
    coupl(nGC_4363) = coupl(nGC_4177)*dys_QCD2_QED1
    coupl(nGC_4366) = coupl(nGC_4157)*dys_QCD2_QED1
    coupl(nGC_4369) = coupl(nGC_4278)*dyb_QCD2_QED1
    coupl(nGC_4372) = coupl(nGC_4268)*dyb_QCD2_QED1
    coupl(nGC_4396) = coupl(nGC_4189)*dyup_QCD2_QED1
    coupl(nGC_4399) = coupl(nGC_4188)*dyup_QCD2_QED1
    coupl(nGC_4402) = coupl(nGC_4269)*dyc_QCD2_QED1
    coupl(nGC_4405) = coupl(nGC_4263)*dyc_QCD2_QED1
    coupl(nGC_6336) = coupl(nGC_4357) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_6337) = coupl(nGC_4360) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_6350) = coupl(nGC_4363) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_6351) = coupl(nGC_4366) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_6364) = coupl(nGC_4369) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_56)*dZbR_QCD2/2d0
    coupl(nGC_6365) = coupl(nGC_4372) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_54)*dZbR_QCD2/2d0
    coupl(nGC_6486) = coupl(nGC_4396) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_6487) = coupl(nGC_4399) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_6500) = coupl(nGC_4402) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_6501) = coupl(nGC_4405) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
