!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_6571) = coupl(nGC_4422) + coupl(nGC_6568)
    coupl(nGC_4423) = -cima*dMU_QCD2
    coupl(nGC_6576) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6578) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_6580) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_6582) = coupl(nGC_4423) + coupl(nGC_6576)
    coupl(nGC_4424) = -cima*dMU_QED2
    coupl(nGC_6577) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6579) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_6581) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_6583) = coupl(nGC_4424) + coupl(nGC_6577)
    coupl(nGC_4425) = -cima*dMC_QCD2
    coupl(nGC_6588) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6590) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_6592) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_6594) = coupl(nGC_4425) + coupl(nGC_6588)
    coupl(nGC_4426) = -cima*dMC_QED2
    coupl(nGC_6589) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6591) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_6593) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_6595) = coupl(nGC_4426) + coupl(nGC_6589)
    coupl(nGC_6598) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_6599) = coupl(nGC_MI)*dZtL
    coupl(nGC_6600) = coupl(nGC_MI)*dZtR
    coupl(nGC_6601) = coupl(nGC_4427) + coupl(nGC_6598)
    coupl(nGC_4428) = -cima*dMD_QCD2
    coupl(nGC_6606) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6608) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_6610) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_6612) = coupl(nGC_4428) + coupl(nGC_6606)
    coupl(nGC_4429) = -cima*dMD_QED2
    coupl(nGC_6607) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6609) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_6611) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_6613) = coupl(nGC_4429) + coupl(nGC_6607)
    coupl(nGC_4430) = -cima*dMS_QCD2
    coupl(nGC_6618) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6620) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_6622) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_6624) = coupl(nGC_4430) + coupl(nGC_6618)
    coupl(nGC_4431) = -cima*dMS_QED2
    coupl(nGC_6619) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6621) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_6623) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_6625) = coupl(nGC_4431) + coupl(nGC_6619)
    coupl(nGC_4432) = -cima*dMB_QCD2
    coupl(nGC_6630) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6632) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_6634) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_6636) = coupl(nGC_4432) + coupl(nGC_6630)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
