!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_2632) = -coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2633) = -coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2634) = -coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2635) = -coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2636) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2637) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2638) = -coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2639) = -coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2640) = -coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2641) = -coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2642) = -coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2643) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2644) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2645) = -coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2646) = -coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2647) = -coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2648) = -coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2649) = -coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2650) = -coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2651) = -coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2652) = -coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2653) = -coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(1d0 - Nc**2d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_2654) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0  &
                       + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
    coupl(nGC_2655) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**2d0 &
                       - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_2656) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*coupl(&
                      nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*coupl(    &
                      nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0)
    coupl(nGC_2657) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*coupl&
                      (nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0*Nc)
    coupl(nGC_2658) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(192d0*pi**2d0)
    coupl(nGC_2659) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) - 2d0&
                      *coupl(nGC_2))/(96d0*pi**2d0*Nc)
    coupl(nGC_2660) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_2661) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**2d0 &
                       + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0 + 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0)
    coupl(nGC_2662) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)**2d0&
                       - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0 - 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_2663) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(96d0&
                      *pi**2d0)
    coupl(nGC_10809) = 5d0*coupl(nGC_2663)
    coupl(nGC_2664) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      96d0*pi**2d0*Nc)
    coupl(nGC_10811) = 5d0*coupl(nGC_2664)
    coupl(nGC_2665) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      384d0*pi**2d0)
    coupl(nGC_2666) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34   &
                      ) + 2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_10836) = -coupl(nGC_2666)
    coupl(nGC_2667) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) -   &
                      2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39 &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_2668) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      96d0*pi**2d0*Nc**2d0)
    coupl(nGC_2669) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34  &
                      ) - 2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_10843) = -coupl(nGC_2669)
    coupl(nGC_2670) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_2671) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_2672) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-4d0*coupl(nGC_53)**2d0&
                       - 3d0*coupl(nGC_57)**2d0 - 3d0*coupl(nGC_61)**2d0 - 3d0*&
                      coupl(nGC_73)**2d0 - 4d0*coupl(nGC_77)**2d0 - 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_2673) = cima*coupl(nGC_11)**2d0*sq2**2d0*(4d0*coupl(nGC_53)**2d0 &
                       + 3d0*coupl(nGC_57)**2d0 + 3d0*coupl(nGC_61)**2d0 + 3d0*&
                      coupl(nGC_73)**2d0 + 4d0*coupl(nGC_77)**2d0 + 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_2674) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0)
    coupl(nGC_2675) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0*Nc)
    coupl(nGC_2676) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_12)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0)
    coupl(nGC_2677) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 6d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_118) - 25d0*cima*coupl(  &
                      nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
