!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(1147)%branchR2(0:1))
    call avR2(1147, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2654, nGC_2654,        &
    nGC_2654])

    call avR2(1147, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2655, nGC_2655,        &
    nGC_2655])

    allocate(vertices(1148)%branchR2(0:1))
    call avR2(1148, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_2654, nGC_2654,        &
    nGC_2654])

    call avR2(1148, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_2655, nGC_2655,        &
    nGC_2655])

    allocate(vertices(1149)%branchR2(0:1))
    call avR2(1149, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_2654, nGC_2654,        &
    nGC_2654])

    call avR2(1149, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_2655, nGC_2655,        &
    nGC_2655])

    allocate(vertices(1150)%branchR2(0:1))
    call avR2(1150, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2654, nGC_2654,        &
    nGC_2654])

    call avR2(1150, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2655, nGC_2655,        &
    nGC_2655])

    allocate(vertices(1151)%branchR2(0:1))
    call avR2(1151, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2654, nGC_2654,        &
    nGC_2654])

    call avR2(1151, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2655, nGC_2655,        &
    nGC_2655])

    allocate(vertices(1152)%branchR2(0:1))
    call avR2(1152, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1152, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1153)%branchR2(0:1))
    call avR2(1153, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1153, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1154)%branchR2(0:1))
    call avR2(1154, 0, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1154, 1, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1155)%branchR2(0:1))
    call avR2(1155, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1155, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1156)%branchR2(0:1))
    call avR2(1156, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1156, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1157)%branchR2(0:1))
    call avR2(1157, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1157, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1158)%branchR2(0:1))
    call avR2(1158, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1158, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1159)%branchR2(0:1))
    call avR2(1159, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1159, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1160)%branchR2(0:1))
    call avR2(1160, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1160, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1161)%branchR2(0:1))
    call avR2(1161, 0, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1161, 1, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1162)%branchR2(0:1))
    call avR2(1162, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1162, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_2656, nGC_2656,        &
    nGC_2656])

    call avR2(1163, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_2657, nGC_2657,        &
    nGC_2657])

    allocate(vertices(1164)%branchR2(0:5))
    call avR2(1164, 0, 54, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    call avR2(1164, 1, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1164, 2, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1164, 3, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_2660, nGC_2660,        &
    nGC_2660])

    call avR2(1164, 4, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1164, 5, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    allocate(vertices(1165)%branchR2(0:5))
    call avR2(1165, 0, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    call avR2(1165, 1, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1165, 2, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1165, 3, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_2660, nGC_2660,        &
    nGC_2660])

    call avR2(1165, 4, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1165, 5, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    allocate(vertices(1166)%branchR2(0:5))
    call avR2(1166, 0, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    call avR2(1166, 1, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1166, 2, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1166, 3, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_2660, nGC_2660,        &
    nGC_2660])

    call avR2(1166, 4, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1166, 5, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    allocate(vertices(1167)%branchR2(0:5))
    call avR2(1167, 0, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    call avR2(1167, 1, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1167, 2, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1167, 3, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_2660, nGC_2660,        &
    nGC_2660])

    call avR2(1167, 4, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_2659, nGC_2659,        &
    nGC_2659])

    call avR2(1167, 5, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_2658, nGC_2658,        &
    nGC_2658])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1168, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1169, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1170, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1171, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1172)%branchR2(0:1))
    call avR2(1172, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1172, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_2661, nGC_2661,        &
    nGC_2661])

    call avR2(1173, 1, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_2662, nGC_2662,        &
    nGC_2662])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_10809, nGC_2663,       &
    nGC_2663])

    call avR2(1174, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_10811, nGC_2664,       &
    nGC_2664])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_10809,       &
    nGC_2663])

    call avR2(1175, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_10811,       &
    nGC_2664])

    allocate(vertices(1176)%branchR2(0:1))
    call avR2(1176, 0, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_2663,        &
    nGC_10809])

    call avR2(1176, 1, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_2664,        &
    nGC_10811])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_10809,       &
    nGC_2663])

    call avR2(1177, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_10811,       &
    nGC_2664])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_10809, nGC_2663,       &
    nGC_2663])

    call avR2(1178, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_10811, nGC_2664,       &
    nGC_2664])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_2663,        &
    nGC_10809])

    call avR2(1179, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_2664,        &
    nGC_10811])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_2663,        &
    nGC_10809])

    call avR2(1180, 1, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_2664,        &
    nGC_10811])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_10809, nGC_2663,       &
    nGC_2663])

    call avR2(1181, 1, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_10811, nGC_2664,       &
    nGC_2664])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_10809,       &
    nGC_2663])

    call avR2(1182, 1, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_10811,       &
    nGC_2664])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_2663,        &
    nGC_10809])

    call avR2(1183, 1, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_2664,        &
    nGC_10811])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_2663, nGC_10809,       &
    nGC_2663])

    call avR2(1184, 1, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_2664, nGC_10811,       &
    nGC_2664])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 42, 5, 0, VVVV0, 0, [2, 2], [nGC_10809, nGC_2663,       &
    nGC_2663])

    call avR2(1185, 1, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_10811, nGC_2664,       &
    nGC_2664])

    allocate(vertices(1186)%branchR2(0:5))
    call avR2(1186, 0, 72, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_10836])

    call avR2(1186, 1, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1186, 2, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1186, 3, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_2668, nGC_2668,        &
    nGC_2668])

    call avR2(1186, 4, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1186, 5, 77, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_10843])

    allocate(vertices(1187)%branchR2(0:5))
    call avR2(1187, 0, 66, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_2666])

    call avR2(1187, 1, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1187, 2, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1187, 3, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_2668, nGC_2668,        &
    nGC_2668])

    call avR2(1187, 4, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1187, 5, 71, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_2669])

    allocate(vertices(1188)%branchR2(0:5))
    call avR2(1188, 0, 60, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_10836])

    call avR2(1188, 1, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1188, 2, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1188, 3, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_2668, nGC_2668,        &
    nGC_2668])

    call avR2(1188, 4, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1188, 5, 65, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_10843])

    allocate(vertices(1189)%branchR2(0:5))
    call avR2(1189, 0, 54, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_2666])

    call avR2(1189, 1, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1189, 2, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1189, 3, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_2668, nGC_2668,        &
    nGC_2668])

    call avR2(1189, 4, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_2667, nGC_2667,        &
    nGC_2667])

    call avR2(1189, 5, 59, 5, 0, VVVV1, 0, [3, 1], [nGC_2665, nGC_2665,        &
    nGC_2665, nGC_2669])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2670])

    call avR2(1190, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2670])

    call avR2(1191, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2670])

    call avR2(1192, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 42, 5, 0, SVVS0, 0, [2, 2], [nGC_2670])

    call avR2(1193, 1, 43, 5, 0, SVVS0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_2670])

    call avR2(1194, 1, 47, 5, 0, SVSV0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_2670])

    call avR2(1195, 1, 45, 5, 0, SSVV0, 0, [2, 2], [nGC_2671])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2672])

    call avR2(1196, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2672])

    call avR2(1197, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2672])

    call avR2(1198, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2672])

    call avR2(1199, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2672])

    call avR2(1200, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2672])

    call avR2(1201, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 42, 5, 0, SVVS0, 0, [2, 2], [nGC_2672])

    call avR2(1202, 1, 43, 5, 0, SVVS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_2672])

    call avR2(1203, 1, 47, 5, 0, SVSV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_2672])

    call avR2(1204, 1, 45, 5, 0, SSVV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 42, 5, 0, SVVS0, 0, [2, 2], [nGC_2672])

    call avR2(1205, 1, 43, 5, 0, SVVS0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_2672])

    call avR2(1206, 1, 47, 5, 0, SVSV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_2672])

    call avR2(1207, 1, 45, 5, 0, SSVV0, 0, [2, 2], [nGC_2673])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_2674])

    call avR2(1208, 1, 45, 5, 0, SSVV0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1209)%branchR2(0:1))
    call avR2(1209, 0, 46, 5, 0, SVSV0, 0, [2, 2], [nGC_2674])

    call avR2(1209, 1, 47, 5, 0, SVSV0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 42, 5, 0, SVVS0, 0, [2, 2], [nGC_2674])

    call avR2(1210, 1, 43, 5, 0, SVVS0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2674])

    call avR2(1211, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1212)%branchR2(0:1))
    call avR2(1212, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2674])

    call avR2(1212, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2674])

    call avR2(1213, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2675])

    allocate(vertices(1)%branchR2(0:23))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0], [nGC_2676, nGC_2677, nGC_2676])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0], [nGC_2677, nGC_2676, nGC_2676])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_2676, nGC_2677, nGC_2676])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_2677, nGC_2676, nGC_2676])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_2676, nGC_2676, nGC_2677])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_2676, nGC_2676, nGC_2677])

    call avR2(1, 6, 78, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 7, 79, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 8, 80, 5, 0, VVVV0, 0, [4, 0], [nGC_2679, nGC_2680, nGC_2680])

    call avR2(1, 9, 81, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 10, 82, 5, 0, VVVV0, 0, [4, 0], [nGC_2680, nGC_2680, nGC_2679])

    call avR2(1, 11, 83, 5, 0, VVVV0, 0, [4, 0], [nGC_2680, nGC_2679, nGC_2680])

    call avR2(1, 12, 84, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 13, 85, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 14, 86, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 15, 87, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 16, 88, 5, 0, VVVV0, 0, [4, 0], [nGC_2678, nGC_2678, nGC_2678])

    call avR2(1, 17, 89, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

    call avR2(1, 18, 90, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

    call avR2(1, 19, 91, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

    call avR2(1, 20, 92, 5, 0, VVVV0, 0, [4, 0], [nGC_2682, nGC_2682, nGC_2682])

    call avR2(1, 21, 93, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

    call avR2(1, 22, 94, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

    call avR2(1, 23, 95, 5, 0, VVVV0, 0, [4, 0], [nGC_2681, nGC_2681, nGC_2681])

  end subroutine fill_vertices_mdl4
end module vertices_info4
