!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_5853) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*dZZA/2d0 + coupl(   &
                      nGC_4297)
    coupl(nGC_5857) = coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)*dZZ/2d0 + coupl(   &
                      nGC_4323)
    coupl(nGC_5861) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_4312) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_5865) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_4324) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_5869) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_4313) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5873) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_4325) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_5877) = coupl(nGC_4314) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_5881) = coupl(nGC_4326) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_5884) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_4315)
    coupl(nGC_5887) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_4316)
    coupl(nGC_5891) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_4317) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_5895) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_4327) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5912) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_4318)
    coupl(nGC_5915) = coupl(nGC_17)*dZWMinus + coupl(nGC_4319)
    coupl(nGC_5920) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_4319)
    coupl(nGC_5923) = coupl(nGC_4320) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_5931) = coupl(nGC_42)*dZAZ + coupl(nGC_4329) + coupl(nGC_45)*dZZ
    coupl(nGC_5934) = coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)*dZZ/2d0 + coupl(   &
                      nGC_4322)
    coupl(nGC_5974) = coupl(nGC_4328) + coupl(nGC_46)*dZZ
    coupl(nGC_5978) = coupl(nGC_4328) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5982) = coupl(nGC_4330) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_5992) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_4297)
    coupl(nGC_5993) = coupl(nGC_5991) + coupl(nGC_5992)
    coupl(nGC_5994) = coupl(nGC_5990) + coupl(nGC_5992)
    coupl(nGC_6000) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZeMinusR + coupl( &
                      nGC_4340)
    coupl(nGC_6001) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZeMinusL + coupl( &
                      nGC_4323)
    coupl(nGC_6002) = coupl(nGC_5995) + coupl(nGC_6000)
    coupl(nGC_6003) = coupl(nGC_5995) + coupl(nGC_6001)
    coupl(nGC_6012) = coupl(nGC_5992) + coupl(nGC_6011)
    coupl(nGC_6013) = coupl(nGC_5992) + coupl(nGC_6010)
    coupl(nGC_6019) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZmuMinusR + coupl(&
                      nGC_4340)
    coupl(nGC_6020) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZmuMinusL + coupl(&
                      nGC_4323)
    coupl(nGC_6021) = coupl(nGC_5995) + coupl(nGC_6019)
    coupl(nGC_6022) = coupl(nGC_5995) + coupl(nGC_6020)
    coupl(nGC_6031) = coupl(nGC_5992) + coupl(nGC_6030)
    coupl(nGC_6032) = coupl(nGC_5992) + coupl(nGC_6029)
    coupl(nGC_6038) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZtauMinusR + coupl&
                      (nGC_4340)
    coupl(nGC_6039) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZtauMinusL + coupl&
                      (nGC_4323)
    coupl(nGC_6040) = coupl(nGC_5995) + coupl(nGC_6038)
    coupl(nGC_6041) = coupl(nGC_5995) + coupl(nGC_6039)
    coupl(nGC_6050) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_4331)
    coupl(nGC_6051) = coupl(nGC_6047) + coupl(nGC_6050)
    coupl(nGC_6052) = coupl(nGC_6044) + coupl(nGC_6050)
    coupl(nGC_6062) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_4335)
    coupl(nGC_6063) = coupl(nGC_39)*dZZ/2d0 + coupl(nGC_4336)
    coupl(nGC_6064) = coupl(nGC_6053) + coupl(nGC_6062)
    coupl(nGC_6065) = coupl(nGC_6053) + coupl(nGC_6063)
    coupl(nGC_6091) = coupl(nGC_6050) + coupl(nGC_6090)
    coupl(nGC_6092) = coupl(nGC_6050) + coupl(nGC_6089)
    coupl(nGC_6098) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)*dZtR + coupl(      &
                      nGC_4335)
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
