!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_6081) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_6089) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_6090) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_6103) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_6106) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_6102) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_6105) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_6104) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_6107) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_6113) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_6116) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_6120) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_6117) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_6121) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_6126) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_6129) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_6127) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_6130) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_6137) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_6141) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_6138) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_6142) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_6143) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_6146) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_6144) = coupl(nGC_1)*dZbL_QED2
    coupl(nGC_6147) = coupl(nGC_1)*dZbR_QED2
    coupl(nGC_6154) = coupl(nGC_34)*dZbR_QCD2
    coupl(nGC_6158) = coupl(nGC_38)*dZbL_QCD2
    coupl(nGC_6155) = coupl(nGC_34)*dZbR_QED2
    coupl(nGC_6159) = coupl(nGC_38)*dZbL_QED2
    coupl(nGC_6160) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_6162) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_6161) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_6163) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_6175) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_6177) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_6176) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_6178) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_6189) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_6191) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_6190) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_6192) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_6203) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_6205) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_6204) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_6206) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_6217) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_6219) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_6218) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_6220) = coupl(nGC_11)*dZbR_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
