!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-02-19 17:49             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_6233) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_6234) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_6239) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_6238) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_6243) = coupl(nGC_23)*dZbL_QED2/2d0
    coupl(nGC_6242) = coupl(nGC_23)*dZbL_QCD2/2d0
    coupl(nGC_6275) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_4342) = cima*dyup_QED1
    coupl(nGC_4345) = -cima*dydo_QED1
    coupl(nGC_4348) = cima*dyc_QED1
    coupl(nGC_4351) = -cima*dys_QED1
    coupl(nGC_6322) = coupl(nGC_4353) + coupl(nGC_77)*dZtR/2d0
    coupl(nGC_6314) = coupl(nGC_77)*dZbL_QED2/2d0
    coupl(nGC_6313) = coupl(nGC_77)*dZbL_QCD2/2d0
    coupl(nGC_6370) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6371) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6382) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6381) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6393) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_6392) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_6403) = coupl(nGC_4384) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_6406) = coupl(nGC_4385) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_6409) = coupl(nGC_4386) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_6429) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_6435) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_6441) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6513) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_6512) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_6524) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6523) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6533) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_6547) = coupl(nGC_4417) + coupl(nGC_MH)*dZH
    coupl(nGC_6546) = coupl(nGC_I)*dZH
    coupl(nGC_6548) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_6549) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_6550) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_6551) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_6552) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_6553) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_6556) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_6557) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_6558) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_6559) = coupl(nGC_4420) + coupl(nGC_6556)
    coupl(nGC_6562) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_6563) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_6564) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_6565) = coupl(nGC_4421) + coupl(nGC_6562)
    coupl(nGC_6568) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6569) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_6570) = coupl(nGC_MI)*dZtauMinusR
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
